org.keycloak.models.map.authorization.adapter

## Class MapResourceServerAdapter

- java.lang.Object
- - org.keycloak.authorization.model.AbstractAuthorizationModel
  - - org.keycloak.models.map.authorization.adapter.AbstractResourceServerModel<MapResourceServerEntity>
    - - org.keycloak.models.map.authorization.adapter.MapResourceServerAdapter

- All Implemented Interfaces:
    ResourceServer

      public class MapResourceServerAdapter
      extends AbstractResourceServerModel<MapResourceServerEntity>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.authorization.model.ResourceServer

      `ResourceServer.SearchableFields`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.map.authorization.adapter.AbstractResourceServerModel

      `entity`

    - ### Fields inherited from class org.keycloak.authorization.model.AbstractAuthorizationModel

      `storeFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapResourceServerAdapter(MapResourceServerEntity entity, StoreFactory storeFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DecisionStrategy` | `getDecisionStrategy()` Returns the `DecisionStrategy` configured for this instance.
    `String` | `getId()` Returns the unique identifier for this instance.
    `PolicyEnforcementMode` | `getPolicyEnforcementMode()` Returns the `PolicyEnforcementMode` configured for this instance.
    `boolean` | `isAllowRemoteResourceManagement()` Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
    `void` | `setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)` Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
    `void` | `setDecisionStrategy(DecisionStrategy decisionStrategy)` Defines a `DecisionStrategy` for this instance, indicating how permissions should be granted depending on the given `decisionStrategy`.
    `void` | `setPolicyEnforcementMode(PolicyEnforcementMode enforcementMode)` Defines a `PolicyEnforcementMode` for this instance.
    `String` | `toString()`

    - ### Methods inherited from class org.keycloak.models.map.authorization.adapter.AbstractResourceServerModel

      `equals, hashCode`

    - ### Methods inherited from class org.keycloak.authorization.model.AbstractAuthorizationModel

      `throwExceptionIfReadonly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapResourceServerAdapter

          public MapResourceServerAdapter(MapResourceServerEntity entity,
                                          StoreFactory storeFactory)

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `ResourceServer`
      Returns the unique identifier for this instance.
      Returns:
        the unique identifier for this instance

    - #### isAllowRemoteResourceManagement

          public boolean isAllowRemoteResourceManagement()

      Description copied from interface: `ResourceServer`
      Indicates if the resource server is allowed to manage its own resources remotely using the Protection API. `true` if the resource server is allowed to managed them remotely

    - #### setAllowRemoteResourceManagement

          public void setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)

      Description copied from interface: `ResourceServer`
      Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
      Parameters:
        `allowRemoteResourceManagement` - `true` if the resource server is allowed to managed them remotely

    - #### getPolicyEnforcementMode

          public PolicyEnforcementMode getPolicyEnforcementMode()

      Description copied from interface: `ResourceServer`
      Returns the `PolicyEnforcementMode` configured for this instance.
      Returns:
        the `PolicyEnforcementMode` configured for this instance.

    - #### setPolicyEnforcementMode

          public void setPolicyEnforcementMode(PolicyEnforcementMode enforcementMode)

      Description copied from interface: `ResourceServer`
      Defines a `PolicyEnforcementMode` for this instance.
      Parameters:
        `enforcementMode` - one of the available options in `PolicyEnforcementMode`

    - #### setDecisionStrategy

          public void setDecisionStrategy(DecisionStrategy decisionStrategy)

      Description copied from interface: `ResourceServer`
      Defines a `DecisionStrategy` for this instance, indicating how permissions should be granted depending on the given `decisionStrategy`.
      Parameters:
        `decisionStrategy` - the decision strategy

    - #### getDecisionStrategy

          public DecisionStrategy getDecisionStrategy()

      Description copied from interface: `ResourceServer`
      Returns the `DecisionStrategy` configured for this instance.
      Returns:
        the decision strategy

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.